This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 887741 - ISO uploader: on upgrade, change the default port for 'rhevm' in /etc/ovirt-engine/isouploader.conf to localhost:8443 (and not the default 443)
ISO uploader: on upgrade, change the default port for 'rhevm' in /etc/ovirt-e...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Kiril Nesenko
Ilanit Stein
integration
: ZStream
Depends On:
Blocks: 888938 917401
  Show dependency treegraph
 
Reported: 2012-12-17 02:34 EST by Yaniv Kaul
Modified: 2014-07-10 20:09 EDT (History)
15 users (show)

See Also:
Fixed In Version: sf-9
Doc Type: Bug Fix
Doc Text:
The default setting for rhevm under /etc/ovirt-engine/isouploader.conf was localhost:443. This conflicts with tools upgraded from version 3.0, when the default port was 8443. Consequently, rhevm-iso-uploader could not connect to the REST API on the designated port 443. Now, the port in /etc/ovirt-engine/isouploader.conf is changed to 8443, so rhevm-iso-uploader works as expected.
Story Points: ---
Clone Of:
: 888938 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:28:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-12-17 02:34:24 EST
Description of problem:
The default setting for 'rhevm' under /etc/ovirt-engine/isouploader.conf is localhost:443. On upgrade from 3.0, it should be changed to localhost:8443.

Version-Release number of selected component (if applicable):
SI24 (rhevm-3.1.0-32.el6ev.noarch)

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yaniv Kaul 2012-12-17 02:35:40 EST
I assume similar bugs should be filed for log collector and image uploader:
[root@rhevm-3 ovirt-engine]# grep -R 443 *
imageuploader.conf:#rhevm=localhost:443
isouploader.conf:rhevm=localhost:8443
logcollector.conf:#rhevm=localhost:443
Comment 2 Nikhil Gupta 2012-12-17 05:01:46 EST
It appears that the rhevm-iso-uploader is trying to connect to the REST API on port 443. Changing the port in /etc/ovirt-engine/isouploader.conf to 8443 fixes the problem.

This needs to be addressed in documentation or a patch to change the default port needs to be created.

Example error:

[root@rhevm ~]# rhevm-iso-uploader -v -i rhev-isos upload -u xyz@abc.example.com /usr/share/rhev-guest-tools-iso/RHEV-toolsSetup_3.1_9.iso
Please provide the REST API password for the xyz@abc.example.com RHEV-M user (CTRL+D to abort): 
ERROR: Problem connecting to the REST API.  Is the service available and does the CA certificate exist?
ERROR: 'NoneType' object is not iterable
INFO: Use the -h option to see usage.
DEBUG: Configuration:
DEBUG: command: upload
DEBUG: Traceback (most recent call last):
DEBUG:   File "/usr/bin/rhevm-iso-uploader", line 955, in <module>
DEBUG:     isoup = ISOUploader(conf)
DEBUG:   File "/usr/bin/rhevm-iso-uploader", line 333, in __init__
DEBUG:     self.upload_to_storage_domain()
DEBUG:   File "/usr/bin/rhevm-iso-uploader", line 689, in upload_to_storage_domain
DEBUG:     (id, address, path) = self.get_host_and_path_from_ISO_domain(self.configuration.get('iso_domain'))
DEBUG: TypeError: 'NoneType' object is not iterable

Fix:
--> /etc/ovirt-engine/isouploader.conf
## hostname or IP address of the RHEV-M
#rhevm=localhost:443
rhevm=localhost:8443

Fixed output:

[root@rhevm ovirt-engine]# rhevm-iso-uploader -v -i rhev-isos upload -u xyz@abc.example.com /usr/share/rhev-guest-tools-iso/RHEV-toolsSetup_3.1_9.iso
Please provide the REST API password for the xyz@abc.example.com RHEV-M user (CTRL+D to abort): 
DEBUG: API Vendor(Red Hat)	API Version(3.1.0)
DEBUG: id=9ab8be51-02b6-41af-8952-3f67155120f7 address=abc-util-01.abc.example.com path=/rhev-isos
DEBUG: local NFS mount point is /tmp/tmpxmCPiZ
DEBUG: NFS mount command (/bin/mount -t nfs -o rw,sync,soft abc-util-01.abc.example.com:/rhev-isos /tmp/tmpxmCPiZ)
DEBUG: /bin/mount -t nfs -o rw,sync,soft abc-util-01.abc.example.com:/rhev-isos /tmp/tmpxmCPiZ
DEBUG: _cmds(['/bin/mount', '-t', 'nfs', '-o', 'rw,sync,soft', 'abc-util-01.abc.example.com:/rhev-isos', '/tmp/tmpxmCPiZ'])
DEBUG: returncode(0)
DEBUG: STDOUT()
DEBUG: STDERR()
DEBUG: Size of /usr/share/rhev-guest-tools-iso/RHEV-toolsSetup_3.1_9.iso:	220809216 bytes	215634.0 1K-blocks	210.0 MB
DEBUG: Available space in /tmp/tmpxmCPiZ/9ab8be51-02b6-41af-8952-3f67155120f7/images/11111111-1111-1111-1111-111111111111:	8033140736 bytes	7844864.0 1K-blocks	7661.0 MB
DEBUG: euid(0) egid(0)
DEBUG: euid(0) egid(0)
INFO: /usr/share/rhev-guest-tools-iso/RHEV-toolsSetup_3.1_9.iso uploaded successfully
DEBUG: /bin/umount -t nfs -f  /tmp/tmpxmCPiZ
DEBUG: /bin/umount -t nfs -f  /tmp/tmpxmCPiZ
DEBUG: _cmds(['/bin/umount', '-t', 'nfs', '-f', '/tmp/tmpxmCPiZ'])
DEBUG: returncode(0)
DEBUG: STDOUT()
DEBUG: STDERR()


Versions:
rhevm-restapi-3.1.0-32.el6ev.noarch
rhevm-iso-uploader-3.1.0-8.el6ev.noarch
rhevm-backend-3.1.0-32.el6ev.noarch
rhevm-genericapi-3.1.0-32.el6ev.noarch
Comment 3 Kiril Nesenko 2012-12-19 06:58:33 EST
Patch posted for review: https://gerrit.eng.lab.tlv.redhat.com/#/c/3829/
Comment 7 Ilanit Stein 2013-05-30 05:12:07 EDT
Verified on 3.1 (si 24.7 to sf-17.2) port remained the same after upgrade,
on
/etc/rhevm/logcollector.conf 
/etc/ovirt-engine/isouploader.conf
/etc/ovirt-engine/imageuploader.conf
Comment 8 errata-xmlrpc 2013-06-10 17:28:59 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.